Module | TkItemConfigOptkeys
In: | tk/lib/tk/itemconfig.rb

### Methods

__conv_item_keyonly_opts itemconfig_hash_kv

### Included Modules

TkUtil

### Public Instance methods

__conv_item_keyonly_opts(id, keys)

[Source]

    # File tk/lib/tk/itemconfig.rb, line 88
      def __conv_item_keyonly_opts(id, keys)
        return keys unless keys.kind_of?(Hash)
        keyonly = __item_keyonly_optkeys(id)
        keys2 = {}
        keys.each{|k, v|
          optkey = keyonly.find{|kk,vv| kk.to_s == k.to_s}
          if optkey
            defkey, undefkey = optkey
            if v
              keys2[defkey.to_s] = None
            else
              keys2[undefkey.to_s] = None
            end
          else
            keys2[k.to_s] = v
          end
        }
        keys2
      end

itemconfig_hash_kv(id, keys, enc_mode = nil, conf = nil)

[Source]

    # File tk/lib/tk/itemconfig.rb, line 108
      def itemconfig_hash_kv(id, keys, enc_mode = nil, conf = nil)
        hash_kv(__conv_item_keyonly_opts(id, keys), enc_mode, conf)
      end

[Validate]